const Constants = require('@/utils/Constants.js');
const util = require('@/utils/util.js')
const mixins = require('@/mixins/index.js')
Page({
  mixins: [mixins],
  /**
   * 页面的初始数据
   */
  data: {
       // 弹出按钮
       popbuttonList: [{
        name: 'editTransfer',
        title: mixins.$t('edit'), //编辑
      },
      {
        name: 'invaidOrder',
        title: mixins.$t('invaidOrder'),
      }, {
        name: 'printedBill',
        title: mixins.$t('printedBill') //打印票据
      }
    ],
    // 弹出按钮
    buttonList: [{
      name: 'merge',
      title: mixins.$t('add'), //'新建'
    }],
    // 查询条件
    searchContent: [{
        code: 'makeTime',
        title: mixins.$t('pastThirthtyDays'), //近30天',
        defaultValue: 5,
        searchType: Constants.searchType.date
      },

      {
        code: 'choose',
        title: mixins.$t('choose'), //'筛选',
        searchType: Constants.searchType.pick
      }
    ],
    // 查询条件-筛选
    pullMenuList: [  {
      code: 'trfNo',
      title:'调整单号'
    },
    {
      code: 'trfOutMacName',
    },
    {
      code: 'trfInMacName',
    },
    {
      code: 'staffName',
    },
    {
      code: 'orgName',
    },
      {
      code: 'accDate',
      dataType: 'date'
    }],
    // 列表区（内容）
    contentList: [{
        name: 'trfNo',
        title: '调整编号'
      },
      {
        name: 'trfInMacName',
        title: '转入账户'
      },
      {
        name: 'accDate',
        title: '转账日期'
      },
      {
        name: [{
            name: 'orgName',
            title: ''
          },
          {
            name: 'staffName',
            title: '业务员 '
          }
        ],
        title: '责任信息'
      }
    ],
    // 路由
    routeObjName: 'transfer',
    // 主键Id 
    primaryKey: 'trfId',
    // 列表区（脚部金额）
    footerAmount: {
      name: 'amtTrf',
      title: mixins.$t('totalAmount')
    },
    // 列表区（脚部信息）
    footerInfo: [{
      name: 'amtTrf',
    }],
    contentnFootList: [{
      title: mixins.$t('totalAmount'),
      code: 'amtTrf',
      content: 0,
      type: 'number'
    }, {
      type: 'count',
      code: 'count',
      bill: 1,
    }],
  },
  /**
    * @desc : 作废
    * @date : 2024/2/1 15:49
    * @author : 王英杰
    */
   invaidOrder(e) {
    let item = e
    let id = item.trfId
    this.excute(this.data.service, this.data.service.invalid + id, null).then(res => {
      if (res.data.code == Constants.SUCESS_CODE) {
        // 重新查询
        this.searchData()
      }
    })

  },
  /**
   * @desc : （编辑）
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  editTransfer(e) { 
    let item = e
    let trfId = item.trfId
    wx.navigateTo({
      url: this.data.route.add.url,
      events: {
        // 回调后，在这里给页面赋值
        bandData: function (e) {}
      },
      success: function (res) {
        res.eventChannel.emit('params', {
          id: trfId,
          formMode: Constants.formMode.edit
        })
      }
    })
  },
   /**
   * @desc : 设置查询参数
   * @date : 2024年3月8日
   * @author : 王英杰
   */
  setSearchParams(params) {  
      params.accDate = null //账务日期穿的是两个日期 用不上这个字段  传null就行 不然后面保存
    return params;
  },
  /** 
   * @desc : 查询 入库单
   * @date : 2024年3月8日
   * @author : 王英杰
   */
  getData(params) {
    return this.excute(this.data.service, this.data.service.selectByCond, params);
  },

})